# Uses of Enum Class
org.apache.sysds.runtime.data.SparseBlock.Type

Packages that use SparseBlock.Type
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.data
org.apache.sysds.runtime.instructions.spark.functions
org.apache.sysds.runtime.matrix.data

## Uses of SparseBlock.Type in org.apache.sysds.runtime.compress

Methods in org.apache.sysds.runtime.compress with parameters of type SparseBlock.Type
Modifier and Type
Method
Description
`void`
CompressedMatrixBlock.`allocateAndResetSparseBlock(boolean clearNNZ, SparseBlock.Type stype)`

## Uses of SparseBlock.Type in org.apache.sysds.runtime.data

Fields in org.apache.sysds.runtime.data declared as SparseBlock.Type
Modifier and Type
Field
Description
`static final SparseBlock.Type`
BasicTensorBlock.`DEFAULT_SPARSEBLOCK`
Methods in org.apache.sysds.runtime.data that return SparseBlock.Type
Modifier and Type
Method
Description
`abstract SparseBlock.Type`
SparseBlock.`getSparseBlockType()`
Get the type of the sparse block.
`SparseBlock.Type`
SparseBlockCOO.`getSparseBlockType()`
`SparseBlock.Type`
SparseBlockCSC.`getSparseBlockType()`
`SparseBlock.Type`
SparseBlockCSR.`getSparseBlockType()`
`SparseBlock.Type`
SparseBlockDCSR.`getSparseBlockType()`
`SparseBlock.Type`
SparseBlockMCSC.`getSparseBlockType()`
`SparseBlock.Type`
SparseBlockMCSR.`getSparseBlockType()`
`static SparseBlock.Type`
SparseBlock.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SparseBlock.Type[]`
SparseBlock.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.data with parameters of type SparseBlock.Type
Modifier and Type
Method
Description
`static SparseBlock`
SparseBlockFactory.`copySparseBlock(SparseBlock.Type type, SparseBlock sblock, boolean forceCopy)`
`static SparseBlock`
SparseBlockFactory.`copySparseBlock(SparseBlock.Type type, SparseBlock sblock, boolean forceCopy, int clen)`
`static SparseBlock`
SparseBlockFactory.`createSparseBlock(SparseBlock.Type type, int rlen)`
`static SparseBlock`
SparseBlockFactory.`createSparseBlock(SparseBlock.Type type, SparseRow row)`
`static long`
SparseBlockFactory.`estimateSizeSparseInMemory(SparseBlock.Type type, long nrows, long ncols, double sparsity)`
`static boolean`
SparseBlockFactory.`isSparseBlockType(SparseBlock sblock, SparseBlock.Type type)`

## Uses of SparseBlock.Type in org.apache.sysds.runtime.instructions.spark.functions

Constructors in org.apache.sysds.runtime.instructions.spark.functions with parameters of type SparseBlock.Type
Modifier
Constructor
Description
``
`CreateSparseBlockFunction(SparseBlock.Type stype)`

## Uses of SparseBlock.Type in org.apache.sysds.runtime.matrix.data

Fields in org.apache.sysds.runtime.matrix.data declared as SparseBlock.Type
Modifier and Type
Field
Description
`static final SparseBlock.Type`
MatrixBlock.`DEFAULT_INPLACE_SPARSEBLOCK`
`static final SparseBlock.Type`
MatrixBlock.`DEFAULT_SPARSEBLOCK`
Methods in org.apache.sysds.runtime.matrix.data with parameters of type SparseBlock.Type
Modifier and Type
Method
Description
`void`
MatrixBlock.`allocateAndResetSparseBlock(boolean clearNNZ, SparseBlock.Type stype)`
`static long`
MatrixBlock.`estimateSizeSparseInMemory(long nrows, long ncols, double sparsity, SparseBlock.Type stype)`
`long`
MatrixBlock.`estimateSizeSparseInMemory(SparseBlock.Type stype)`
Constructors in org.apache.sysds.runtime.matrix.data with parameters of type SparseBlock.Type
Modifier
Constructor
Description
``
`MatrixBlock(MatrixBlock that, SparseBlock.Type stype, boolean deep)`